package com.system.oauth.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.system.oauth.system.entity.SysRole;

import java.util.List;

public interface ISysRoleService extends IService<SysRole> {
    List<SysRole> selectInIds(List<Integer> ids);

    List<SysRole> selectByUserId(Integer userId);

    List<String> selectRoleByUserId(Long userId);

    /**
     * 删除角色
     *
     * @param roleid
     * @return
     */
    public boolean deleteRole(String roleid);
}
